Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.snmp
Interface SNMPServiceMBean

public interface SNMPServiceMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static String` | `community` Set the Community Address.
`static String` | `enterpriseObjectIdentifier` Set the base Enterprise Object Identifier of the WLNG.
`static int` | `repeatedTraps` Defines the number of times each trap is sent to each configured manager.
`static int` | `severityFilter` Defines the alarm severity filter.
`static int` | `snmpVersion` Set the SNMP Version of the traps.

Method Summary
`int` | `addTrapReceiver(String address, int port)` Add a SNMP trap receiver with given address and port
`void` | `deleteTrapReceiver(int id)` Deletes the SNMP trap receiver for the given id.
`String` | `getCommunity()`
`String` | `getEnterpriseObjectIdentifier()`
`int` | `getRepeatedTraps()`
`int` | `getSeverityFilter()`
`int` | `getSNMPVersion()`
`String[]` | `listTrapReceivers()` Lists all the SNMP trap receivers in the system.
`void` | `setCommunity(String value)`
`void` | `setEnterpriseObjectIdentifier(String oid)`
`void` | `setRepeatedTraps(int NrOfRepeatedTraps)`
`void` | `setSeverityFilter(int severity)`
`void` | `setSNMPVersion(int version)`

Field Detail

### community

    public static final String community

  Set the Community Address. Default is private.

  See Also:
    Constant Field Values

### enterpriseObjectIdentifier

    public static final String enterpriseObjectIdentifier

  Set the base Enterprise Object Identifier of the WLNG. Default is .1.3.6.1.4.1

  See Also:
    Constant Field Values

### repeatedTraps

    public static final int repeatedTraps

  Defines the number of times each trap is sent to each configured manager. (Default 1)

  See Also:
    Constant Field Values

### severityFilter

    public static final int severityFilter

  Defines the alarm severity filter. Only alarms with a severity that exceeds or is equal to the specified severity filter will cause a trap to be generated. 4 = CRITICAL 3 = MAJOR 2 = MINOR 1 = WARNING (Default)

  See Also:
    Constant Field Values

### snmpVersion

    public static final int snmpVersion

  Set the SNMP Version of the traps. 0 = SNMPv1 1 = SNMPv2 (Default)

  See Also:
    Constant Field Values

Method Detail

### addTrapReceiver

    public int addTrapReceiver(String address,
                               int port)
                        throws ManagementException

  Add a SNMP trap receiver with given address and port

  Parameters:
    `address` - The IP address or host name of the receiver.
    `port` - The port of the receiver.
  Returns:
    The id of the receiver
  Throws:
    `ManagementException`

### deleteTrapReceiver

    public void deleteTrapReceiver(int id)
                            throws ManagementException

  Deletes the SNMP trap receiver for the given id.

  Parameters:
    `id` - Id of the reveiver.
  Throws:
    `ManagementException`

### getCommunity

    public String getCommunity()

### getEnterpriseObjectIdentifier

    public String getEnterpriseObjectIdentifier()

### getRepeatedTraps

    public int getRepeatedTraps()

### getSeverityFilter

    public int getSeverityFilter()

### getSNMPVersion

    public int getSNMPVersion()

### listTrapReceivers

    public String[] listTrapReceivers()

  Lists all the SNMP trap receivers in the system.

  Returns:
    List of reveivers.

### setCommunity

    public void setCommunity(String value)
                      throws ManagementException

  Throws:
    `ManagementException`

### setEnterpriseObjectIdentifier

    public void setEnterpriseObjectIdentifier(String oid)
                                       throws ManagementException

  Throws:
    `ManagementException`

### setRepeatedTraps

    public void setRepeatedTraps(int NrOfRepeatedTraps)
                          throws ManagementException

  Throws:
    `ManagementException`

### setSeverityFilter

    public void setSeverityFilter(int severity)
                           throws ManagementException

  Throws:
    `ManagementException`

### setSNMPVersion

    public void setSNMPVersion(int version)
                        throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD